Summary:        BFD (Brute Force Detection)
Name:           bfd
Version:        0.7
Release:        1%{_my_ext}
Copyright:      GPL
Packager:       %{packager}
Vendor:         %{vendor}
Distribution:   %{distribution}
Group:          System/Monitoring          
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Source:         http://www.r-fx.org/downloads/%{name}-%{version}.tar.bz2
BuildArch:	noarch
Requires:       shorewall

%description
BFD is a modular shell script for parsing applicable logs
and checking for authentication failures. There is not much
complexity or detail to BFD yet and likewise it is very
straight-forward in its installation, configuration and usage.
The reason behind BFD is very simple; the fact there is little
to no authentication and brute force auditing programs in the
linux community that work in conjunction with a firewall or
real-time facility to place bans.

Note: BFD default configuration is designed to work in
conjunction with SHOREWALL versions 2.0.8+

%prep
%setup -q

%post
echo "See file:/etc/conf.bfd to fine tune your settings"


%files
%dir "//usr/"
%dir "//usr/share/"
%dir "//usr/share/doc/"
%dir "//usr/share/doc/bfd-0.7/"
"//usr/share/doc/bfd-0.7/CHANGELOG"
"//usr/share/doc/bfd-0.7/COPYING.GPL"
"//usr/share/doc/bfd-0.7/README"
%dir "//usr/share/bfd/"
"//usr/share/bfd/alert.bfd"
"//usr/share/bfd/bfd"
"//usr/share/bfd/CHANGELOG"
"//usr/share/bfd/conf.bfd"
"//usr/share/bfd/COPYING.GPL"
"//usr/share/bfd/exclude.files"
"//usr/share/bfd/ignore.hosts"
"//usr/share/bfd/pattern.auth"
"//usr/share/bfd/README"
%dir "//usr/share/bfd/rules/"
"//usr/share/bfd/rules/apache"
"//usr/share/bfd/rules/exim"
"//usr/share/bfd/rules/proftpd"
"//usr/share/bfd/rules/pure-ftpd"
"//usr/share/bfd/rules/rh_imap"
"//usr/share/bfd/rules/rh_pop3"
"//usr/share/bfd/rules/sshd"
"//usr/share/bfd/tlog"
"//usr/share/bfd/uninstall.sh"
%dir "//usr/share/bfd/tmp/"
%dir "//usr/sbin/"
%dir "//usr/sbin/bfd"
%dir "//etc/"
"//etc/conf.bfd"
%dir "//etc/cron.d/"
"//etc/cron.d/bfd"
%dir "//etc/logrotate.d/"
"//etc/logrotate.d/bfd"


%changelog
* Fri Apr 8 2005  Scott Grayban <sgrayban@borgnet.us> 0.7-1bgn
 - created spec
 - Modified to work with shorewall
 
